{% extends "base.html" %}
{% block head %}
<script defer src="https://use.fontawesome.com/releases/v5.3.1/js/all.js"></script>
<script src="https://unpkg.com/axios/dist/axios.min.js"></script>
{% include 'importLeaflet.html' %}
{% endblock %}
{% block map %}
<div id="map"></div>
<script
    type=text/javascript
    src="{{ url_for('static', filename='js/map.js') }}">
</script>
<script type=text/javascript
        src="{{url_for('static', filename='js/wgs84-lv03/wgs84_ch1903.js')}}"
>
</script>
<script type=text/javascript
        src="{{url_for('static', filename='js/biogeoregio.js') }}"
>
</script>
<script type=text/javascript>
    var map = generateDefaultMap()
    addGeoJsonFeatureCollection({{biogeoregio|tojson}})
</script>
{% endblock %}
{% block page %}
<div class="page-bar">
    <form method="POST">
        {{ form.csrf_token }}
        <div class="field">
            <label class="label" for="spezies_id">
                Species
            </label>
            <select id="spezies_id" name="spezies_id">
                {% for s in speziesList %}
                <option value="{{ s.id }}">
                    {{ s.gattung }} {{ s.art }} {{ s.erstfinder }}
                </option>
                {% endfor %}
            </select>
        </div>
        <div class="field">
            <label class="label" for="longitude">
                Longitude
            </label>
            <input id="longitude" name="longitude" required="" type="text" value="">
        </div>
        <div class="field">
            <label class="label" for="latitude">
                Latitude
            </label>
            <input id="latitude" name="latitude" required="" type="text" value="">
        </div>
        <div class="field">
            <label class="label" for="altitude">
                Altitude
            </label>
            <input id="altitude" name="altitude" required="" type="text" value="">
        </div>
        <div class="field">
            <label class="label" for="municipality">
                Municipality
            </label>
            <input id="municipality" name="municipality" required="" type="text" value="">
        </div>
        <div class="field">
            <label class="label" for="zip">
                ZIP
            </label>
            <input id="zip" name="zip" required="" type="text" value="">
        </div>
        <div class="field">
            <label class="label" for="canton">
                Canton
            </label>
            <input id="canton" name="canton" required="" type="text" value="">
        </div>
        <div class="field">
            <label class="label" for="habitat">
                Habitat
            </label>
            <select input id="habitat" name="habitat" type="text" value="">
                <option value="Choose your option">Choose your option</option>
                <option value="Eukrenal">Eukrenal</option>
                <option value="Hypokrenal">Hypokrenal</option>
            </select>
        </div>
        <div class="field">
            <label class="label">
                Biogeographical region
            </label>
            <span id="bgregio">
            </span> 
        </div>
        <div class="field">
            <label class="label" for="abundance">
                Abundance
            </label>
            <input id="abundance" name="abundance" type="text" value="">
        </div>
        <div class="field">
            <label class="label" for="datum-gefunden">
                Date of find
            </label>
            <input class="datepicker" id="datum-gefunden" name="datumGefunden" required="" type="date" value="2021-10-27">
        </div>
        <div class="field">
            <label for="legit">
                Legit
            </label>
            <input id="legit"
                   name="legit"
                   required=""
                   type="text"
                   >
        </div>
        <div class="field">
            <label for="determinavit">
                Determinavit
            </label>
            <input id="determinavit"
                   name="determinavit"
                   required=""
                   type="text"
                   value="">
        </div>
        <div class="field">
            <label for="collection_id">
                Collection ID
            </label>
            <input id="collection_id" name="collection_id" type="text" value="">
        </div>
        <div class="field">
            <label for="publication">
                Publication
            </label>
            <textarea id="publication" name="publication"></textarea>
        </div>
        <div class="field is-horizontal">
            <div class="field-label">
                <!-- Left empty for spacing -->
            </div>
            <div class="control">
                <button type="submit" class="button is-primary">Submit</button>
            </div>
        </div>
    </form>
</div>
<script
    type=text/javascript
    src="{{ url_for('static', filename='js/mapModify.js') }}">
</script>
<script>
    var marker = {   //coordinates of nlubs
    lat: 47.56270269267702,
    lng: 7.585415704443012
    }
    setSingleMarker(marker)
    document.getElementById("longitude").value = String(marker.lng)
    document.getElementById("latitude").value = marker.lat.toString()
</script>
{% endblock %}
